Drop support for PHP 7.3 (#889)

This commit is contained in:
Zach Borboa
2024-08-21 22:56:50 -04:00
committed by GitHub
parent 10ea095b5d
commit c808484e5b
12 changed files with 7 additions and 108 deletions
-1
View File
@@ -15,7 +15,6 @@ jobs:
strategy:
matrix:
php-version:
- '7.3'
- '7.4'
- '8.0'
- '8.1'
+1 -1
View File
@@ -37,7 +37,7 @@ Installation instructions to use the `composer` command can be found on https://
### Requirements
PHP Curl Class works with PHP 8.3, 8.2, 8.1, 8.0, 7.4, and 7.3.
PHP Curl Class works with PHP 8.3, 8.2, 8.1, 8.0, and 7.4.
### Quick Start and Examples
+1 -1
View File
@@ -18,7 +18,7 @@
}
],
"require": {
"php": ">=7.3",
"php": ">=7.4",
"ext-curl": "*"
},
"require-dev": {
+5 -8
View File
@@ -115,12 +115,9 @@ if [[ "${?}" -ne 0 ]]; then
fi
# Run PHP-CS-Fixer.
if [[ "${CI_PHP_VERSION}" == "7.3" ]]; then :
else
vendor/bin/php-cs-fixer --version
vendor/bin/php-cs-fixer fix --ansi --config="tests/.php-cs-fixer.php" --diff --dry-run
if [[ "${?}" -ne 0 ]]; then
echo "Error: found PHP-CS-Fixer coding standard violation(s)"
errors+=("found PHP-CS-Fixer coding standard violation(s)")
fi
vendor/bin/php-cs-fixer --version
vendor/bin/php-cs-fixer fix --ansi --config="tests/.php-cs-fixer.php" --diff --dry-run
if [[ "${?}" -ne 0 ]]; then
echo "Error: found PHP-CS-Fixer coding standard violation(s)"
errors+=("found PHP-CS-Fixer coding standard violation(s)")
fi
-3
View File
@@ -1,3 +0,0 @@
# Build an image.
set -x
docker build --tag="php-curl-class/php73" .
-15
View File
@@ -1,15 +0,0 @@
# Run image to create container.
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
set -x
cd "${SCRIPT_DIR}/../../.."
project_dir="${PWD}"
docker start "php73" ||
docker run \
--detach \
--interactive \
--mount "type=bind,src=${project_dir},dst=/data,readonly=true" \
--name="php73" \
--tty \
"php-curl-class/php73"
-17
View File
@@ -1,17 +0,0 @@
# Run tests inside container.
command=$(cat <<-END
mkdir --parents "/tmp/php-curl-class" &&
rsync --delete --exclude=".git" --exclude="vendor" --exclude="composer.lock" --links --recursive "/data/" "/tmp/php-curl-class/" &&
cd "/tmp/php-curl-class" &&
export CI_PHP_VERSION="7.3" &&
(
[ ! -f "/tmp/.composer_updated" ] &&
composer --no-interaction update &&
touch "/tmp/.composer_updated" ||
exit 0
) &&
bash "tests/run.sh"
END
)
set -x
docker exec --tty "php73" sh -c "${command}"
-3
View File
@@ -1,3 +0,0 @@
# Stop container.
set -x
docker stop "php73"
-19
View File
@@ -1,19 +0,0 @@
FROM php:7.3-cli
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get --assume-yes --quiet update
RUN apt-get --assume-yes --quiet install git && \
apt-get --assume-yes --quiet install libpng-dev && \
apt-get --assume-yes --quiet install rsync && \
apt-get --assume-yes --quiet install zip
RUN curl --silent --show-error "https://getcomposer.org/installer" | php && \
mv "composer.phar" "/usr/local/bin/composer" && \
composer global require --no-interaction "phpunit/phpunit"
RUN docker-php-ext-configure gd && \
docker-php-ext-install gd
ENV PATH /root/.composer/vendor/bin:$PATH
CMD ["bash"]
-3
View File
@@ -1,3 +0,0 @@
# Attach to running container.
docker exec --interactive --tty "php73" bash -l
-23
View File
@@ -1,23 +0,0 @@
bash "1_build.sh"
if [[ $? -ne 0 ]]; then
echo "Error: Build failed"
exit 1
fi
bash "2_start.sh"
if [[ $? -ne 0 ]]; then
echo "Error: Start failed"
exit 1
fi
bash "3_test.sh"
if [[ $? -ne 0 ]]; then
echo "Error: Test failed"
exit 1
fi
bash "4_stop.sh"
if [[ $? -ne 0 ]]; then
echo "Error: Stop failed"
exit 1
fi
@@ -1,14 +0,0 @@
# Run image to create container and attach to it.
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
set -x
cd "${SCRIPT_DIR}/../../.."
project_dir="${PWD}"
docker run \
--interactive \
--mount "type=bind,src=${project_dir},dst=/data,readonly=true" \
--name="php73" \
--rm \
--tty \
"php-curl-class/php73" /bin/bash